package com.rjconsultores.ventaboletos.vo.comissao;

import java.math.BigDecimal;
import java.util.List;

public class RegistroCalculo {

	private BigDecimal comissaoPagar;
	private BigDecimal comissaoBPR;
	private BigDecimal comissaoSeguro;
	private BigDecimal comissaoSegOpcional;
	private BigDecimal comissaoExcessoBagagem;
	private BigDecimal comissaoEntregaPassagem;
	private BigDecimal comissaoOutros;
	private BigDecimal comissaoBonificaoMetas;

	private BigDecimal royaties;
	private BigDecimal retidoISS;

	private BigDecimal descontos;
	private List<ComissaoDesconto> lsDescontos;
	private List<ComissaoReceita> lsReceitas;
	
	private String nombpuntoventa;
	private String numPuntoVenta;

	public BigDecimal getComissaoPagar() {
		return comissaoPagar;
	}

	public void setComissaoPagar(BigDecimal comissaoPagar) {
		this.comissaoPagar = comissaoPagar;
	}

	public BigDecimal getComissaoBPR() {
		return comissaoBPR;
	}

	public void setComissaoBPR(BigDecimal comissaoBPR) {
		this.comissaoBPR = comissaoBPR;
	}

	public BigDecimal getComissaoSegOpcional() {
		return comissaoSegOpcional;
	}

	public void setComissaoSegOpcional(BigDecimal comissaoSegOpcional) {
		this.comissaoSegOpcional = comissaoSegOpcional;
	}

	public BigDecimal getComissaoExcessoBagagem() {
		return comissaoExcessoBagagem;
	}

	public void setComissaoExcessoBagagem(BigDecimal comissaoExcessoBagagem) {
		this.comissaoExcessoBagagem = comissaoExcessoBagagem;
	}

	public BigDecimal getComissaoEntregaPassagem() {
		return comissaoEntregaPassagem;
	}

	public void setComissaoEntregaPassagem(BigDecimal comissaoEntregaPassagem) {
		this.comissaoEntregaPassagem = comissaoEntregaPassagem;
	}

	public BigDecimal getComissaoBonificaoMetas() {
		return comissaoBonificaoMetas;
	}

	public void setComissaoBonificaoMetas(BigDecimal comissaoBonificaoMetas) {
		this.comissaoBonificaoMetas = comissaoBonificaoMetas;
	}

	public BigDecimal getRoyaties() {
		return royaties;
	}

	public void setRoyaties(BigDecimal royaties) {
		this.royaties = royaties;
	}

	public BigDecimal getRetidoISS() {
		return retidoISS;
	}

	public void setRetidoISS(BigDecimal retidoISS) {
		this.retidoISS = retidoISS;
	}

	public BigDecimal getDescontos() {
		return descontos;
	}

	public void setDescontos(BigDecimal descontos) {
		this.descontos = descontos;
	}

	public List<ComissaoDesconto> getLsDescontos() {
		return lsDescontos;
	}

	public void setLsDescontos(List<ComissaoDesconto> lsDescontos) {
		this.lsDescontos = lsDescontos;
	}

	public List<ComissaoReceita> getLsReceitas() {
		return lsReceitas;
	}

	public void setLsReceitas(List<ComissaoReceita> lsReceitas) {
		this.lsReceitas = lsReceitas;
	}

	public BigDecimal getComissaoOutros() {
		return comissaoOutros;
	}

	public void setComissaoOutros(BigDecimal comissaoOutros) {
		this.comissaoOutros = comissaoOutros;
	}

	@Override
	public String toString() {
		return "RegistroCalculo [comissaoPagar=" + comissaoPagar + ", comissaoBPR=" + comissaoBPR + ", comissaoSegOpcional=" + comissaoSegOpcional + ", comissaoExcessoBagagem=" + comissaoExcessoBagagem + ", comissaoEntregaPassagem=" + comissaoEntregaPassagem + ", comissaoBonificaoMetas=" + comissaoBonificaoMetas + ", royaties=" + royaties + ", retidoISS=" + retidoISS + ", descontos=" + descontos + ", lsDescontos=" + lsDescontos + ", lsReceitas=" + lsReceitas + "]";
	}

	public String getNombpuntoventa() {
		return nombpuntoventa;
	}

	public void setNombpuntoventa(String nombpuntoventa) {
		this.nombpuntoventa = nombpuntoventa;
	}

	public String getNumPuntoVenta() {
		return numPuntoVenta;
	}

	public void setNumPuntoVenta(String numPuntoVenta) {
		this.numPuntoVenta = numPuntoVenta;
	}

	public BigDecimal getComissaoSeguro() {
		return comissaoSeguro;
	}

	public void setComissaoSeguro(BigDecimal comissaoSeguro) {
		this.comissaoSeguro = comissaoSeguro;
	}

}
